"use strict";
/**
 * Copyright (c) 2022 - present Tiny CLI Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
/**
 * 快速安装npm包
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const cli_devkit_1 = require("@opentiny/cli-devkit");
const yargs_1 = __importDefault(require("yargs"));
const rimraf_1 = __importDefault(require("rimraf"));
const path = __importStar(require("path"));
const index_1 = __importDefault(require("./locale/index"));
const log = cli_devkit_1.logs('core-commands');
const argv = yargs_1.default.help(false).argv;
async function default_1() {
    const modules = argv._.slice(1);
    const mPath = path.join(process.cwd(), 'node_modules');
    delete argv._;
    delete argv.$0;
    if (argv.focus && cli_devkit_1.fs.existsSync(mPath)) {
        const intl = new cli_devkit_1.Intl(index_1.default);
        log.info(intl.get('removeNpm'));
        rimraf_1.default.sync(mPath);
        delete argv.focus;
    }
    if (modules.length) {
        await cli_devkit_1.npm.install(modules, argv);
    }
    else {
        await cli_devkit_1.npm.installDependencies(argv);
    }
}
exports.default = default_1;
