"use strict";
/**
 * Copyright (c) 2022 - present Tiny CLI Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
/**
 * @desc: 切换语言环境
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const cli_devkit_1 = require("@opentiny/cli-devkit");
const inquirer_1 = __importDefault(require("inquirer"));
const index_1 = __importDefault(require("./locale/index"));
const log = cli_devkit_1.logs('core-commands');
/**
 * 初始化环境
 */
exports.default = async () => {
    let intl = new cli_devkit_1.Intl(index_1.default);
    const divider = '-    ';
    const answers = await inquirer_1.default.prompt([
        {
            type: 'list',
            name: 'name',
            message: intl.get('switchLocaleTips'),
            choices: [
                {
                    name: `zh    ${divider}中文`,
                    value: 'zh',
                },
                {
                    name: `en    ${divider}英文`,
                    value: 'en',
                },
            ],
        },
    ]);
    // 设置env环境
    intl.setLocale(answers.name);
    intl = new cli_devkit_1.Intl(index_1.default);
    log.success(intl.get('initLocalSuccess'));
};
