"use strict";
/**
 * Copyright (c) 2022 - present Tiny CLI Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
/**
 * @desc: 更新模块
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const cli_devkit_1 = require("@opentiny/cli-devkit");
const index_1 = __importDefault(require("./locale/index"));
const log = cli_devkit_1.logs('core-commands');
async function default_1(cliArgs) {
    const name = cliArgs.pop() || '';
    const intl = new cli_devkit_1.Intl(index_1.default);
    const pkg = await cli_devkit_1.npm.latest(name);
    if (pkg && pkg.version) {
        await cli_devkit_1.modules.update(`${name}@${pkg.version}`);
    }
    else {
        log.error(intl.get('updateError', {
            name,
        }));
    }
}
exports.default = default_1;
